Skip to main content
GET
/
v1
/
workspaces
Get workspace
curl --request GET \
  --url https://app.chatbotx.io/api/v1/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "defaultReply": "<string>",
  "targetCountry": "<string>",
  "language": "<string>",
  "timezone": "<string>",
  "brandColor": "<string>",
  "developmentMode": true,
  "logo": "<string>",
  "ownerId": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

id
string
required
Pattern: \d+
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required
defaultReply
string | null
required
targetCountry
string | null
required
language
string
required
timezone
string
required
brandColor
string
required
developmentMode
boolean
required
logo
string | null
required
ownerId
any